gSendChildMessage-class {MVCClass} | R Documentation

## Class "gSendChildMessage": A class to represent a send child MVC message

### Description

gSendChildMessage is a class to represent a send child MVC message. Whenever a model is updated and that model has a child MVC, then an object of this class will be created to notify the child MVC that a parent model was updated. gSendChildMessage inherits from the virtual class, gMessage. The initialize and handleMessage methods will be defined in other packages that use this class (for example, the iSNetwork package).

### Objects from the Class

Objects can be created by calls of the form `new("gSendChildMessage", ...)`. The initialize method for this class will be created in other packages that use this package (for example, the initialize method will be created in the iSNetwork package).

### Slots

`parentUpdateDataMessage`:
  an object of class gUpdateDataMessage that was used to update the parent model (MVC)
`childName`:
  the name of the child model that this message is directed towards (because a parent MVC can have multiple child MVCs)

### Extends

Class `"gMessage"`, directly.

### Methods

childName<-
  Sets the `childName` slot
childName
  Returns the `childName` slot
parentUpdateDataMessage<-
  Sets the `parentUpdateDataMessage` slot
parentUpdateDataMessage
  Returns the `parentUpdateDataMessage` slot

### Author(s)

Elizabeth Whalen

### See Also

`gSendParentMessage-class`, `gMessage-class`

### Examples

[Package MVCClass version 1.10.0 Index]